STRUCT TEMPLATE (3)

NAME
boost::xpressive::reference

SYNOPSIS

// In header: <boost/xpressive/regex_actions.hpp>
template<typename T>
struct reference {
  // types
  typedef proto::extends< typename proto::terminal< reference_wrapper< T > >::type, reference< T > > base_type;
  // construct/copy/destruct
  reference(T &);
  // public member functions
  T & get() const;
};

DESCRIPTION

  reference public construct/copy/destruct

    1.

    reference(T & t);

  reference public member functions

    1.

    T & get() const;